Page MenuHomePhabricator

Enable Grant Bot Rights Permission for Sysop in Maithili Wikipedia
Closed, DeclinedPublic

Description

Hi, Please enable Grant Bot Rights Permission for sysops in maithili wikipedia so Sysop can grant this right to bot after the consensus.
Link of second local discussion: here

Thanks,
Biplab Anand
(User:बिप्लब आनन्द)

Details

Related Gerrit Patches:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

So, you want sysops to be able to add bot flags? If that's the case, I'm afraid that won't happen. Bureaucrats are suposed to do this, and if your wiki does not have bureaucrats, you need to request this to the stewards at m:Steward requests/Bot status (shortcut: m:SRB).

@MarcoAurelio Thanks for your quick response to resolve the task.

biplabanand closed this task as Resolved.Sep 9 2015, 8:20 AM
biplabanand set Security to None.
MarcoAurelio changed the task status from Resolved to Declined.Sep 9 2015, 8:29 AM
MarcoAurelio claimed this task.
Krenair added a subscriber: Krenair.Sep 9 2015, 5:36 PM

@MarcoAurelio: You're not a developer or a sysadmin, please don't be so bold and quick to decline such tasks. On at least one other wiki, sysops can grant and remove bot rights.

@MarcoAurelio: You're not a developer or a sysadmin, please don't be so bold and quick to decline such tasks. On at least one other wiki, sysops can grant and remove bot rights.

Replied on IRC, but leaving also here for reference:

The user closed the bug himself/herself. I just fixed it from resolved to declined. Sorry if I did wrong.

You are right, I'm nobody but a volunteer who submit patches from time to time trying to fix easy stuff. Feel free to reopen this if you want.

However I've been on Wikimedia for some time and the bureaucrat permission was created to handle this. In the absence of bureaucrats, stewards handle rights. This has been the long standing practice for a lot of years.

You mention that at least one wiki (it seems it is 'ptwikivoyage') is allowed to give out and remove bot flags. Indeed it was requested at T47233 and I have absolutely no idea why was this ever granted. A consensus of 4 users (the proposer and 3 more users) without mentioning in the discussion why they need such an strange change makes me feel unease.

So, while I'm not a developer or sysadmin, I must say again, that rights are being changed sometimes without proper review (hiwiki in the past and hewiki recently the most notorious I can remember) and now discovering that for no real reason other than "the project is small" sysops have been granted this right when, I reiterate, that's why stewards (and bureaucrats) do exist. The situation is certainly abnormal and I think it should be reverted.

I don't want to argue with anyone, and I apologize in advance if my meaning appears harsh or innapropriate, but because we technically can change things, it does not mean that we should be changing them.

Best regards.

You mention that at least one wiki (it seems it is 'ptwikivoyage') is allowed to give out and remove bot flags. Indeed it was requested at T47233 and I have absolutely no idea why was this ever granted.

I don't think there is a comprehensive policy about which things should be declined. There are some obvious things which shouldn't be happening, but it's not really written down and it sounds like you think there's a whole extra group of potential requests that should be declined. I haven't really seen a reason for this being declined beyond a "on most existing wikis, stewards and bureaucrats handle this and have done for years so therefore should continue in all cases forever" sort of argument, which doesn't seem good enough because wikis are allowed to customise their user rights setups.

Of course things can change, but the practice sometimes makes the rules. If a practice has been followed for years, I'd expect that at least a good reason is provided to change it. Instead I've been treated with contempt above, despising and vilipending my opinion just because I'm not this or that.

@Krenair Actually i am not aware of the policies earlier, so i mark ''resolved'' this task but when i know about ptwikivoyage admins are allowed to give and remove bot flags from you. I am very hopeful that why not in mai wiki. May i open this task once again?

Krenair added a subscriber: Reedy.EditedSep 10 2015, 1:59 PM

Of course things can change, but the practice sometimes makes the rules. If a practice has been followed for years

So, just outright ban all new custom configurations? Anyway, as far as I am aware, this has not been made into a rule.

I'd expect that at least a good reason is provided to change it.

Well, there appears to be community consensus for the change. Or are you disputing that?

Instead I've been treated with contempt above, despising and vilipending my opinion just because I'm not this or that.

It seems to me that your opinion is that local wikis should have to go through the stewards (a group which you are a member of) to grant certain local groups (I seem to recall similar discussions have happened over bureaucrats granting/removing sysop rights, and you have been involved), and you are going to try to enforce it as policy here (are you actually going to create a local bureaucrat there who would be able to? I doubt it, somehow). I, and every other developer I can think of, am happy to hear/read your opinion and take it into account, all I am asking is that you do not tell users that we will refuse to make changes requested just because they're untraditional. Especially if you haven't checked for existing instances of the requested configuration.

@Krenair Actually i am not aware of the policies earlier, so i mark ''resolved'' this task but when i know about ptwikivoyage admins are allowed to give and remove bot flags from you. I am very hopeful that why not in mai wiki. May i open this task once again?

Maybe. But since me and @MarcoAurelio can't agree on this, I don't really know how we could move it forward properly.

MarcoAurelio reopened this task as Open.EditedSep 10 2015, 3:36 PM

[tl;dr version: sorry for all the fuss, reopening, letting appropriate people handle this but remain opposed]

So, just outright ban all new custom configurations? Anyway, as far as I am aware, this has not been made into a rule.

No, of course not. I have submitted patches to change wiki configurations myself and I value that wikis are granted the possibility to customize to certain extent their configuration to satisfy their needs.

Well, there appears to be community consensus for the change. Or are you disputing that?

This list is full of things that once had consensus but were refused to be implemented. I do not think consensus is the only thing we should be looking for here. If this were to enable autopatrol, rollback or other groups I'd not really complain and I'd have submitted the patch myself.

It seems to me that your opinion is that local wikis should have to go through the stewards (a group which you are a member of) to grant certain local groups (I seem to recall similar discussions have happened over bureaucrats granting/removing sysop rights, and you have been involved), and you are going to try to enforce it as policy here (are you actually going to create a local bureaucrat there who would be able to? I doubt it, somehow). I, and every other developer I can think of, am happy to hear/read your opinion and take it into account, all I am asking is that you do not tell users that we will refuse to make changes requested just because they're untraditional. Especially if you haven't checked for existing instances of the requested configuration.

Sorry if I give that impression. As steward my main obligation is to respect community consensus if it is in accordance with the current local and global policies. It is not a secret that I'm not in favor of bureaucrats removing sysop rights. I was not when I was not a steward and I remain opposed; not because I think they're invading our competences or work, but for a matter of neutrality and scrutiny. I am not the only one to think like that, and once that was approved, I've respected that. Notwithstanding I think I'm still entitled to have an opinion.

If I am sincere, you are right that there will be no bureaucrat for maiwiki if just a handful of people is voting. It is a very longstanding practice at Meta to grant bureaucrat rights on wikis where there's an active community, a number of sysops and a need for them. This is happening even before my appointment in 2009.

The example you mention is interesting because it is one of those untraditional bugs, and required large community consensus to take effect.

Talking about this very request, I do not dispute that it might be consensus, but I do dispute that there's enough consensus to carry out this change in my very own personal opinion.

I, and every other developer I can think of, am happy to hear/read your opinion and take it into account, all I am asking is that you do not tell users that we will refuse to make changes requested just because they're untraditional. Especially if you haven't checked for existing instances of the requested configuration.

Thank you. I am glad that this was just a missunderstanding. I am also happy to have onboard hardworking people like you. I'll be more careful next time. It does not sounded like a veto to me when I wrote it, we use roughly the same expression in my mothertongue to say that something is difficult to happen.

Maybe. But since me and @MarcoAurelio can't agree on this, I don't really know how we could move it forward properly.

I am reopening because this does not merit all this fuss, and will let the appropriate people to handle this. However I must say that this requested change (and the ptwikivoyage one) are really strange, for no real purpose, for no real need and thus I suggest it to be declined.

Krenair added a comment.EditedSep 10 2015, 6:11 PM

Well, there appears to be community consensus for the change. Or are you disputing that?

This list is full of things that once had consensus but were refused to be implemented. I do not think consensus is the only thing we should be looking for here. If this were to enable autopatrol, rollback or other groups I'd not really complain and I'd have submitted the patch myself.

Okay, yes. The problem I still have is - what makes bot rights part of the unacceptable set of groups for sysops to be managing, but autopatrol, rollback etc. perfectly okay?

Maybe. But since me and @MarcoAurelio can't agree on this, I don't really know how we could move it forward properly.

I am reopening because this does not merit all this fuss, and will let the appropriate people to handle this. However I must say that this requested change (and the ptwikivoyage one) are really strange, for no real purpose, for no real need and thus I suggest it to be declined.

That's fine, but I think we should either agree to perform this change as requested, or to revert it from ptwikivoyage where I understand you would've objected to the change for the same reason.

MarcoAurelio removed MarcoAurelio as the assignee of this task.Sep 10 2015, 6:33 PM

Okay, yes. The problem I still have is - what makes bot rights part of the unacceptable set of groups for sysops to be managing, but autopatrol, rollback etc. perfectly okay?

In my humble opinion, bot rights should be handled with care because it removes direct and public accountability of edits from RecentChanges and can be used maliciously to hide from the community controversial stuff. The same can be predicated of the 'flood' flag though. The other groups IMHO don't have such potential room for abuse.

That's fine, but I think we should either agree to perform this change as requested, or to revert it from ptwikivoyage where I understand you would've objected to the change for the same reason.

Revert it from ptwikivoyage would be the right thing to do IMHO, but I will let others decide whether this should be implemented or not. My main concern is the absence of enough and large consensus for this change, which denotes the small size of the project and thus of their community.

Mdann52 claimed this task.Sep 21 2015, 3:24 PM
Mdann52 added a subscriber: Mdann52.

I'm preparing a change for this. I know that there has been some objections raised above, but there has been a discussion appearing to involve most of the active users there. If there is a larger global issue here, I suggest starting an RfC into a global policy into this.

Change 239854 had a related patch set uploaded (by Glaisher):
Allow sysops to add users to bot group on mai.wikipedia.org

https://gerrit.wikimedia.org/r/239854

Sipun added a subscriber: Sipun.Sep 21 2015, 7:23 PM

I am not against sysops having this ability but imo the consensus (4 votes including the proposer ) shown here is not enough for this change. I know small communities will have less number of people participating in these kind of discussions, but 4 votes cannot be considered as consensus if the change is very little controversial.

In short, this is half remaining bureaucrats' rights and we never give bureaucrat flags out in such small communities.

Hi all, after being messaged about this on facebook, can someone please sum up the status for the followers? As far as I can tell, the problem is that there is 1) no bureaucrats or 2) not enough votes. This is a very small community that wishes to jumpstart growth with an ambitious plan stated here: https://meta.wikimedia.org/wiki/Grants:IEG/Editing_Maithili_Wikipedia
Please help them get what they need, and if you are unable to do so, please explain what they need to do to move forward on this! It's unclear to me, and my english is way better than theirs.

Hi all, after being messaged about this on facebook, can someone please sum up the status for the followers? As far as I can tell, the problem is that there is 1) no bureaucrats or 2) not enough votes. This is a very small community that wishes to jumpstart growth with an ambitious plan stated here: https://meta.wikimedia.org/wiki/Grants:IEG/Editing_Maithili_Wikipedia
Please help them get what they need, and if you are unable to do so, please explain what they need to do to move forward on this! It's unclear to me, and my english is way better than theirs.

That's so good but there's a long history of troubles with setting up local 'crats on very small communities.
If you need to flag bots you just need to make a quick (~7 days) local discussion and then ask a steward at [[m:SRP]].

TTO added a subscriber: TTO.Oct 3 2015, 11:01 AM

I would never have imagined that this type of request would be controversial.

I am not against sysops having this ability but imo the consensus (4 votes including the proposer ) shown here is not enough for this change. I know small communities will have less number of people participating in these kind of discussions, but 4 votes cannot be considered as consensus if the change is very little controversial.

Given that there are only 4 strongly active users at maiwiki, I think 4 votes is quite an appropriate level of consensus. I don't know what more you are expecting from this small community.

Maybe if you gave a number of voters to shoot for? I am willing to vouch for anything Tulsi does, so I could go there and vote and get some friends to join me. I understand that though it may be silly, it could be a restriction of the mediawiki software? Or are people here really so distrusting of letting go of the bot controls (sorry, not a bot operator, so can't see the danger)

I don't view this as an issue, hence why I was willing to patch it, based on the previous request being passed a well on another site. I think we need to have a wider discussion on how to handle such requests however.

Yes I can imagine that for small or threatened language groups, that such requests may occur more often as we get better at providing data through Wikidata and input possibilities with font support.

I don't view this as an issue, hence why I was willing to patch it, based on the previous request being passed a well on another site. I think we need to have a wider discussion on how to handle such requests however.

Yet another example of the dichotomy between community policy and devs accepting any kind of request, regardless of their consistency with policies.

Yes I can imagine that for small or threatened language groups, that such requests may occur more often as we get better at providing data through Wikidata and input possibilities with font support.

IMHO a small wiki doesn't need those stuffs to grow up, while requests at SRP are usually a way to check communities' health.

Given that there are only 4 strongly active users at maiwiki, I think 4 votes is quite an appropriate level of consensus. I don't know what more you are expecting from this small community.

So if there was only a regular active user 1/1 would be a "strong consensus"?
Currently the community is way too small to establish local 'crats. We request a bigger community because small wikis don't have the proper mechanism to balance the power of 'crats but also because if their 'crats become inactive promotion of new users will become *so* long.
Basically you're setting up a precedent: small wikis can circumvent failed request to establish local 'crats by simply asking devs not aware of global practices to "boost" their sysops.

"Basically you're setting up a precedent: small wikis can circumvent failed request to establish local 'crats by simply asking devs not aware of global practices to "boost" their sysops."

This is about what I gathered from wading through all the comments above. The question is how to go further? They aren't setting the precedent by the way. This was done by the Cebuano and Waray-waray Wikipedias with LsjBot. Can someone give a clear pathway forward? Until someone gets one of their bots rolling they are stuck in waiting mode, I'm afraid.

TTO added a comment.EditedOct 3 2015, 12:11 PM

So if there was only a regular active user 1/1 would be a "strong consensus"?

Well, yes: a consensus is simply an agreement among relevant users. If there is only one active user on a particular wiki, then they themselves are the consensus. We have an information page on Meta saying that lack of opposition is enough for most configuration change requests, which is (intentionally) a low bar to clear.

So what you are looking for is more than just "consensus" - you are talking about a broader agreement that involves a larger number of voices saying "yes". Perhaps such an agreement is desired for the granting and revoking of the

We request a bigger community because small wikis don't have the proper mechanism to balance the power of 'crats but also because if their 'crats become inactive promotion of new users will become *so* long.

In my view, the true power of bureaucrats lies in being able to grant sysop rights indefinitely, as opposed to the "temporary" system used by stewards. Granting of bot rights is hardly a role of great "power": the sysop toolset carries with it far more powerful rights than that.

Basically you're setting up a precedent: small wikis can circumvent failed request to establish local 'crats by simply asking devs not aware of global practices to "boost" their sysops.

Strong words there: the reluctance to give small communities local crats probably lies with the sysop grant power, rather than anything else. I don't think this request is an attempt to circumvent anything.

TTO added a comment.Oct 3 2015, 12:14 PM

By the way, if the Maithili Wikipedia community want a bot flag now, without having to wait for this task, the bot's operator can place a request at https://meta.wikimedia.org/wiki/Steward_requests/Bot_status.

Reedy removed a subscriber: Reedy.Oct 3 2015, 12:19 PM

I don't view this as an issue, hence why I was willing to patch it, based on the previous request being passed a well on another site. I think we need to have a wider discussion on how to handle such requests however.

Yet another example of the dichotomy between community policy and devs accepting any kind of request, regardless of their consistency with policies.

To clarify, I don't see myself as a dev - more of a community member who occasionally fulfills simple requests left lying around for a bit.
promotion of new users will become *so* long.

Basically you're setting up a precedent: small wikis can circumvent failed request to establish local 'crats by simply asking devs not aware of global practices to "boost" their sysops.

There is already previous cases where this had happened, I don't see this as setting a precedent at all.

Thanks for the link - I saw that page. Am I correct in assuming that they need a page under the list of shortcuts that states their local "bot policy" before making the request? I assume this is easily done by translating a similar project's bot policy page, but I am checking because that whole page is not clear to me at all.

TTO added a comment.Oct 3 2015, 12:41 PM

Thanks for the link - I saw that page. Am I correct in assuming that they need a page under the list of shortcuts that states their local "bot policy" before making the request? I assume this is easily done by translating a similar project's bot policy page, but I am checking because that whole page is not clear to me at all.

No, I don't believe so. A request for a bot on lrcwiki was just accepted without a link for lrcwiki being present in that list.

In fact, I don't even think a wiki needs a bot policy at all for the stewards to grant the request; the policy that would apply in this case is https://meta.wikimedia.org/wiki/Bot_policy. Don't take my word for that, though.

And you're right that the page is unclear: maybe @MarcoAurelio can look into that.

Thanks for the link - I saw that page. Am I correct in assuming that they need a page under the list of shortcuts that states their local "bot policy" before making the request? I assume this is easily done by translating a similar project's bot policy page, but I am checking because that whole page is not clear to me at all.

No, I don't believe so. A request for a bot on lrcwiki was just accepted without a link for lrcwiki being present in that list.
In fact, I don't even think a wiki needs a bot policy at all for the stewards to grant the request; the policy that would apply in this case is https://meta.wikimedia.org/wiki/Bot_policy. Don't take my word for that, though.
And you're right that the page is unclear: maybe @MarcoAurelio can look into that.

A bot must abide by local policies, if there are no local policies then you just need to abide by global one.
Anyway I suggest mai.wiki to create a local policy which explains what a bot is (that's pretty useful for new users) stating, if any, local rules about bot.

Oh, I just remembered: Many wikis have a second bot group called flood, which sysops are allowed to grant.

Oh, I just remembered: Many wikis have a second bot group called flood, which sysops are allowed to grant.

Some history here. The flood permission was originally created on Meta to avoid cluttering recent changes. The permission in it's inception was designed so only admins could add and remove the flag from themselves. Lately some wikis, included meta sadly, have allowed that admins or 'crats can add/remove this permission from anyone, perverting its original purpose (trusted users not wanting to clutter RC temporary adding that right to self). Flood is intended to be a temporary permission for non-controversial repetitive tasks; while bot is intended to be a long-term status. Regards.

Hi All,

A Bot policy is created on Maithili Wikipedia stating local rules Bot Policy link on mai wiki as well as done second discussion to make consensus on the given proposal village pump link.

Thanks

Hi All,
A Bot policy is created on Maithili Wikipedia stating local rules Bot Policy link on mai wiki as well as done second discussion to make consensus on the given proposal village pump link.
Thanks

Hi,
Bot policy was created and approved with the consensus of community members. One can see the discussion here.

Regards,
Tulsi Bhagat

Hi All,
A Bot policy is created on Maithili Wikipedia stating local rules Bot Policy link on mai wiki as well as done second discussion to make consensus on the given proposal village pump link.
Thanks

Hi,
Bot policy was created and approved with the consensus of community members. One can see the discussion here.
Regards,
Tulsi Bhagat

With 4 active users? I think we should re-start explaining the point from the beginning.

The only and sole problem is there shouldn't be local 'crats on wikis with a really small active community. It's not a matter of policies but numbers.

Hi All,
A Bot policy is created on Maithili Wikipedia stating local rules Bot Policy link on mai wiki as well as done second discussion to make consensus on the given proposal village pump link.
Thanks

Hi,
Bot policy was created and approved with the consensus of community members. One can see the discussion here.
Regards,
Tulsi Bhagat

With 4 active users? I think we should re-start explaining the point from the beginning.
The only and sole problem is there shouldn't be local 'crats on wikis with a really small active community. It's not a matter of policies but numbers.

@Vituzzu It seems that there are at about 12 active users and IMHO it's enough as a small community.

! In T111898#1835705, @Tulsi_Bhagat wrote:
@Vituzzu It seems that there are at about 12 active users and IMHO it's enough as a small community.

It *seems*, but it is not. Only a few are regular, most of aren't.

Believe me, what makes the success of a small wiki is not the number of userrights they have or they can handle. You're pursuing the wrong aim.

Luke081515 reassigned this task from Luke081515 to Mdann52.Dec 9 2015, 2:34 PM
Luke081515 added a subscriber: Luke081515.

Ok, I'm a little bit confused about this task, Is someone able to answer a couple questions for me?

  • It appears that there is currently a need (or at least when this task was created) for 1 bot? Is that correct? (are there multiple bots?)
  • The normal process for a community of this size would be to get consensus for the bot and then have the stewards flag it. Has that been attempted? Have the community asked the Stewards to flag the bot after having a brief discussion?
  • If they have asked the stewards to flag the bot did they do it? If they have not asked the Stewards yet why not?

Currently reading the comments here we seem to be going in circles trying to get debate a position that isn't really needed yet. For a community of this size flagging bots is (and usually should be but that's a different question) relatively rare and so having local users be able to do it is usually not necessary. Bot flags are actually quite powerful because it makes it much harder to check the work of those who have them and so problems can go undetected. As much local governance as possible is often beneficial but If you don't have many community members yet then it is a lot easier for 1 or 2 members to impose their will and so having a bit of a check and balance with the stewards is important. If they are in any way making it difficult to get what you need then that should be addressed. So far, however, it doesn't seem like they've been asked... (I haven't looked deeply so someone correct me if I'm wrong).

For right now it seems like the right course of action is to get the bot flagged (if it wasn't already done) and leave it at that for now. As the community goes they'll be able to have their own local bureaucrat who can take care of bot requests locally. Does anyone see a way to I'm misreading this?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 7 2016, 3:08 AM

Ok, I'm a little bit confused about this task, Is someone able to answer a couple questions for me?

  • It appears that there is currently a need (or at least when this task was created) for 1 bot? Is that correct? (are there multiple bots?)
  • The normal process for a community of this size would be to get consensus for the bot and then have the stewards flag it. Has that been attempted? Have the community asked the Stewards to flag the bot after having a brief discussion?
  • If they have asked the stewards to flag the bot did they do it? If they have not asked the Stewards yet why not?

Currently reading the comments here we seem to be going in circles trying to get debate a position that isn't really needed yet. For a community of this size flagging bots is (and usually should be but that's a different question) relatively rare and so having local users be able to do it is usually not necessary. Bot flags are actually quite powerful because it makes it much harder to check the work of those who have them and so problems can go undetected. As much local governance as possible is often beneficial but If you don't have many community members yet then it is a lot easier for 1 or 2 members to impose their will and so having a bit of a check and balance with the stewards is important. If they are in any way making it difficult to get what you need then that should be addressed. So far, however, it doesn't seem like they've been asked... (I haven't looked deeply so someone correct me if I'm wrong).
For right now it seems like the right course of action is to get the bot flagged (if it wasn't already done) and leave it at that for now. As the community goes they'll be able to have their own local bureaucrat who can take care of bot requests locally. Does anyone see a way to I'm misreading this?

At that time when this task is created there is only 1 bot request (now 2). In past (before this task) 2 bots request was flagged by steward. IMHO i am not against the policy at all, approval of bot right is quite powerful. Earlier after Marco said that the he is afraid by this task, i mark this task to resloved but when krenair says one such wiki --pt.wikivoyage admins are handling bot request then i come to open this task one again and debate gone high. In maiwiki (15+ actives user) (1800+ quality article) (+ local bot policy) done second consensus on this task. I request you all please do needful as earliest to end this task.

I still fail to see the need to unbundle half of the remaining bureaucrat rights for this small wiki just because there has been 2 bot flag requests; and still consider this task should be declined (and ptvoy change reverted fwiw, but that's another debate). Thanks.

I'd tend to concur with @biplabanand.

We don't have any formal policy debated on meta restricting the sysop rights of small communities, and the hiwiki story has proved the main issue were with splitted sysop rights, or crats power struggle, not with bots.

Any bot could be blocked by any sysop if not working according the expectation of the community, so I don't see what REAL RISK by opposite of "half the remaining bureaucrat rights" motto that would create.

Pt.wikivoyage config was definitely set by mistake then.

Dereckson added a comment.EditedFeb 10 2016, 10:41 PM

According rOMWC9da27de8, the change was merged in February 2013, so three years ago.

We could ask the pt.wikivoyage community for feedback to evaluate how that worked well or not on their wiki.

[...] and ptvoy change reverted fwiw, but that's another debate [...]

Definitely.

So that, May this task move to conclusion or not? There is only one sysop in pt.wikivoyage who also has no continuous contributions. If pt.wikivoyage sysop can handel then why not maithili wikipedia sysops as sysops of maithili wikipedia are active and continuous contributing?

Like as enwiki, maiwiki can also create such Bot Approvals Group and trusted users will be selected through local discussion for this and they will look after bot contributions and take action against the vandalism contributions...and one thing that only sysops or crats can apply for this group..

If it will be so then it will be easy looking after bots activities...and no other sysops have to deals with such fields..

Dereckson added a comment.EditedMar 10 2016, 2:40 PM

Summary

  • mai.wikipedia is a small but thriving community with 15 active editors
  • mai.wikipedia seems well organized and aware of the responsibilities
  • Some oppose the idea to create "quasi bureaucrats" or "boosted sysops", they want guardianship of these rights by stewards as long as the community doesn't reach a critical number of active editors
  • Others stress on the responsibility for the community to determine how works the rights

Some comments

According rOMWC9da27de8, the change was merged in February 2013, so three years ago.
We could ask the pt.wikivoyage community for feedback to evaluate how that worked well or not on their wiki.

Actually, they haven't used the right since 2014 according the user rights log. So it has been useful for them to give the right to existing bots, but not used after this initial cleanup.

That wouldn't allow to conclude anything, excepted new wikis could find an use to use this on a temporary basis.

Like as enwiki, maiwiki can also create such Bot Approvals Group and trusted users will be selected through local discussion for this and they will look after bot contributions and take action against the vandalism contributions...and one thing that only sysops or crats can apply for this group..

Such process is welcome. Other Wikipedia allow any user to participate to the discussion, with closure by a bureaucrat. If you would have bureaucrats and such process is in place, they would probably the one to manage bots rights.

With 4 active users? I think we should re-start explaining the point from the beginning.
The only and sole problem is there shouldn't be local 'crats on wikis with a really small active community. It's not a matter of policies but numbers.

Actually, reasonable policies are here helpful: they show the commitment of the community to handle correctly the situation.

Suggested course of action

This is clearly a question for the global community at a whole.

@Trijnstel @Vituzzu or any other concerned user: could you create a RfC to discuss on meta. the extend of the rights a small wiki could get, as @Mdann52 recommended Sep 21 2015?

If so, we wait the end of the RfC and will process the request accordingly.

Alternatively, if nobody is willing to create the RfC, we could also consider there is no consensus to bar this kind of requests right now, merge the change acknowledging the reservations and reticence expressed. That would allow to watch closely how mai.wikipedia succeeed to implement policies with a small community, and would give us valuable feedback for further similar decisions or to then have what we need as use case to launch a RfC.

I'm sorry for being so blunt, but this looks like plain hat-collecting to me.

Out of 4 flagged bots on maiwiki, just one is from a real user, the others being MediaWiki maintenance scripts and Flow. And that lone bot has just 26 edits, of which just 4 are still visible, and his operator just 11 (last on May 2015, obviously not a stablished community member). Where is the need for this? Where? Is there any argument appart from "pt.voy have it", which is no argument at all? This alone should suffice to get this request rejected as it should be.

That the requester is verbose is not a reason to grant him the candy or toy he's desperately looking for, and seems to me there's somewhat a gold rush wrt. user rights there. Wikis are better or worse judged by the content they create and mantain, not on how long their list of permissions is.

You ought to be joking thinking that, with aprox. 4 really active (and it being very generous) users, there would be a reasonable and effective control and oversight of this permission, or even a need to flag many bots unless now everybody wants to run 5 bot accounts each. Regardless, and as I've said above: there's just one bot flagged that pertains to an user, the others are system accounts automatically flagged by MediaWiki software.

Consensus gauged for this change would not even suffice to appoint a bureaucrat, so this is simply gaming the system for no real need but hat-collecting.

There's no need to waste community time on RfCs for this nonsense. In this task some stewards have voiced our concerns about this change. I'm not sure why you're trying to ignore us. If we have experience in something, is on managing user rights.

Thank you.

What's the point of giving bot access to mediawiki scripts? :|

Community size. I based my "small but thriving community" with the idea there were 15+ active contributors instead of 4. Thank you for the precision. I also noted there were a real engagement of the participants, as they launched https://meta.wikimedia.org/wiki/Grants:IEG/Editing_Maithili_Wikipedia

There's no need to waste community time on RfCs for this nonsense. In this task some stewards have voiced our concerns about this change. I'm not sure why you're trying to ignore us. If we have experience in something, is on managing user rights.

Nobody is trying to ignore you, as demonstrates the fact the change has been left unmerged for six months.

Some stewards expressed concern, and then other trusted users noted there is no policy. To discuss such policy isn't a waste of time but a way to unlock the situation and get clear rules. These rules could include a "When in doubt, ask stewards to assess if the group rights request is compatible with the community size", which would be a good idea. That would also provide a guide to new wikis to know what and when they can ask for.

I'm sorry for being so blunt, but this looks like plain hat-collecting to me.
Out of 4 flagged bots on maiwiki, just one is from a real user, the others being MediaWiki maintenance scripts and Flow. And that lone bot has just 26 edits, of which just 4 are still visible, and his operator just 11 (last on May 2015, obviously not a stablished community member). Where is the need for this? Where? Is there any argument appart from "pt.voy have it", which is no argument at all? This alone should suffice to get this request rejected as it should be.
That the requester is verbose is not a reason to grant him the candy or toy he's desperately looking for, and seems to me there's somewhat a gold rush wrt. user rights there. Wikis are better or worse judged by the content they create and mantain, not on how long their list of permissions is.
You ought to be joking thinking that, with aprox. 4 really active (and it being very generous) users, there would be a reasonable and effective control and oversight of this permission, or even a need to flag many bots unless now everybody wants to run 5 bot accounts each. Regardless, and as I've said above: there's just one bot flagged that pertains to an user, the others are system accounts automatically flagged by MediaWiki software.
Consensus gauged for this change would not even suffice to appoint a bureaucrat, so this is simply gaming the system for no real need but hat-collecting.
There's no need to waste community time on RfCs for this nonsense. In this task some stewards have voiced our concerns about this change. I'm not sure why you're trying to ignore us. If we have experience in something, is on managing user rights.
Thank you.

@MarcoAurelio FYKI, There are 3 bots request pending in mai.wiki and that bots are operated by real user. See here. You can also check their contributions as well. Why do you think that there are not real active users?? There are good active users and contributing as maithili wikimedians has done enough outreach programmes and one can see the details here. (Maithili Wikimedians/Outreach) So don't be bold Mr. MarcoAurelio... It's not like to be hat collecting.

@MarcoAurelio Recently, Maithili wikipedia has organized a Women Edit-a-thon 2016; A seven days online as well offline event and there are too good articles created by users that they got from outreach programmes. They got about 50 newly created articles and you can see here. You are a wikimedia steward. So that don't bite new comers community and help moving forward and progressing them. They are deserving this task enough as well. If you can't help the community then don't be obstacle for them.

Tulsi_Bhagat updated the task description. (Show Details)Mar 11 2016, 2:19 AM

To be fair:
If your community supports these bot request, I don't think a steward will decline this request if you at m:SRB and link to the community discussion. A botflag process will not be better, if a local user flags the bot, I think. The main point is that a bot gets flagged, and there is in my opinion not a disadvantage, if a steward does this.

@MarcoAurelio Recently, Maithili wikipedia has organized a Women Edit-a-thon 2016; A seven days online as well offline event and there are too good articles created by users that they got from outreach programmes. They got about 50 newly created articles and you can see here.

This is totally irrelevant for what is being requested here.

You are a wikimedia steward. So that don't bite new comers community and help moving forward and progressing them.

Nothing in this task will help your community to progress. Wikis progress on content, not on user rights.

They are deserving this task enough as well. If you can't help the community then don't be obstacle for them.

Q.E.D. No wiki deserves this task. As said above, you seem to think that wikis revolve around user rights which is a total mistake. I have the feeling this is a tantrum, a whim of yours for no real, rational or useful reason. If you wish to have those bots flagged you already know where to go as Luke said above. We are not the ones being an obstacle here. Go and tell those operators that they have been waiting for the bot flag for so long because you think your sysops should be... special.

What's the point of giving bot access to mediawiki scripts? :|

Those are set automatically by the system.

@MarcoAurelio Recently, Maithili wikipedia has organized a Women Edit-a-thon 2016; A seven days online as well offline event and there are too good articles created by users that they got from outreach programmes. They got about 50 newly created articles and you can see here.

This is totally irrelevant for what is being requested here.

You are a wikimedia steward. So that don't bite new comers community and help moving forward and progressing them.

Nothing in this task will help your community to progress. Wikis progress on content, not on user rights.

They are deserving this task enough as well. If you can't help the community then don't be obstacle for them.

Q.E.D. No wiki deserves this task. As said above, you seem to think that wikis revolve around user rights which is a total mistake. I have the feeling this is a tantrum, a whim of yours for no real, rational or useful reason. If you wish to have those bots flagged you already know where to go as Luke said above. We are not the ones being an obstacle here. Go and tell those operators that they have been waiting for the bot flag for so long because you think your sysops should be... special.

What's the point of giving bot access to mediawiki scripts? :|

Those are set automatically by the system.

@MarcoAurelio Will you please tell me the problems merging this task?? Is sysops are not trusted user group as bureaucrats?

MarcoAurelio added a comment.EditedMar 20 2016, 12:04 PM

With T129487 being resolved, which reverts this setting on pt.voy, and the resignation of the sysop pushing for this change, leaving the wiki with just one sysop, it reinforces my belief that this task should be closed as declined, and patch -2'd.

Luke081515 closed this task as Declined.Mar 20 2016, 12:43 PM

Per above.

(...) and patch -2'd.

Just abadone it.

Change 239854 abandoned by Jforrester:
Allow sysops to add and remove accounts from bot group on mai.wikipedia.org

Reason:
Per Task.

https://gerrit.wikimedia.org/r/239854